Subject: Re: bug#79080: 31.0.50; report-emacs-bug-check-org errors with args-out-range
From: Eli Zaretskii <[email-masked]>
To: Antero Mejr <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 02 Aug 2025 16:31:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Antero Mejr <[email-masked]>
> Cc: Daniel Mendler <[email-masked]>,  [email-masked]
> Date: Sat, 26 Jul 2025 15:23:16 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Wed, 23 Jul 2025 11:59:48 +0200
> >> From:  Daniel Mendler via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> While sending my last bug report I observed the following issue, where
> >> `report-emacs-bug-check-org' throws an `args-out-of-range' error. I've
> >> got the following stack trace:
> >> 
> > Antero, I think the bug here is in the assumption that the user edits
> > the original text inserted by report-emacs-bug only to _add_ text.
> > But that might not be true: users could remove some of the original
> > text as well.  So something like the below is in order.  But I also
> > wonder why we should look for the regular expression only in part of
> > the message to be sent.  Can you explain why you did that?
> 
> The Features: section of the original text contains the string " org ",
> which will match the regex and always flag a false positive.
> 
> The snippet you posted works but I think it will match that " org "
> feature if the user removes any of the original text.
> 
> I attached a patch that compares the number of matches in the original
> text to the edited text. This should avoid false positives unless the
> user deletes the " org " strings from the original text. And it will fix
> the error.

Thanks, now installed on the master branch, and closing the bug.